Bug 1247311 - The patch will fail on windows when it is trying to copy files with too long paths due to windows path length limitation
The patch will fail on windows when it is trying to copy files with too long ...
Status: CLOSED ERRATA
Product: JBoss Operations Network
Classification: JBoss
Component: Launch Scripts, Productization (Show other bugs)
JON 3.3.3
Unspecified Unspecified
unspecified Severity high
: ER01
: JON 3.3.4
Assigned To: Simeon Pinder
Filip Brychta
: Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-27 14:29 EDT by Filip Brychta
Modified: 2015-10-28 10:37 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-28 10:37:05 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 1553843 None None None Never

  None (edit)
Description Filip Brychta 2015-07-27 14:29:39 EDT
Description of problem:
Current implementation of the patch will hit bz1247307  any time when the patch will contain files with path longer than (255)? characters.

Version-Release number of selected component (if applicable):
JON 3.3.3

How reproducible:
Always

Steps to Reproduce:
1. install jon 3.3.0.GA somewhere deep in dir structure (e.g. c:\user1\applications\blabla\...\JON-server)
2. stop all components 
3. apply the patch

Actual results:
[Mon 07/27/2015 11:13:53.22] Starting Update

  Successfully detected server to update [c:\jon-server-3.3.0.GA]
  Proceeding with application of patch [03] to [c:\jon-server-3.3.0.GA]

  Successfully detected agent to update [c:\jon-server-3.3.0.GA\..\rhq-agent]
  Proceeding with application of patch [03] to [c:\jon-server-3.3.0.GA\..\rhq-ag
ent]
  Assessing permissions needed during update process....
  Successfully verified that JON Server is already shut down.

  Certain patch files can not be overwritten due to name changes. These
  files are being archived.
  Archived server files will be moved to [c:\jon-server-3.3.0.GA\.patched\3.3.0.
GA-update-03_07-27-15_11-13-53\.old].
  Archived agent  files will be moved to [c:\jon-server-3.3.0.GA\.patched\3.3.0.
GA-update-03_07-27-15_11-13-53\.old-agent];
  See c:\jon-server-3.3.0.GA\.patched\3.3.0.GA-update-03_07-27-15_11-13-53\updat
e.log for more archive details.

The system cannot find the batch label specified - exitearly


Expected results:
No errors

Additional info:
Possible solution of this issue could be use of UNC path names
Comment 4 Simeon Pinder 2015-10-09 00:40:08 EDT
Moving to ON_QA as available to test with the following build:
https://brewweb.devel.redhat.com/buildinfo?buildID=460382

 *Note: jon-server-patch-3.3.0.GA.zip maps to ER01 build of
 jon-server-3.3.0.GA-update-04.zip.
Comment 5 Filip Brychta 2015-10-13 11:25:53 EDT
Verified on:
Version :	
3.3.0.GA Update 04
Build Number :	
821a526:fa7b1a1

Patch was successfully applied on following server:
c:\jon-system\deep\directory\structure\jon-server-3.3.0.GA
Comment 7 errata-xmlrpc 2015-10-28 10:37:05 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://rhn.redhat.com/errata/RHSA-2015-1947.html

Note You need to log in before you can comment on or make changes to this bug.